Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class JIoEndpoint.AsyncTimeout

    java.lang.Object
      org.apache.tomcat.util.net.JIoEndpoint.AsyncTimeout

All Implemented Interfaces:
  Runnable

Enclosing class:
  JIoEndpoint

    protected class JIoEndpoint.AsyncTimeout

extends Object
implements Runnable

Async timeout thread

Constructor Summary
`protected` | `JIoEndpoint.AsyncTimeout()`

Method Summary
`void` | `run()` The background thread that checks async requests and fires the timeout if there has been no activity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JIoEndpoint.AsyncTimeout

    protected JIoEndpoint.AsyncTimeout()

Method Detail

### run

    public void run()

  The background thread that checks async requests and fires the timeout if there has been no activity.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.